# ForeAnalysts

### transfersAllowed <a href="#transfersallowed" id="transfersallowed"></a>

Transfers may be restricted to operatorsInput/OutputData TypeVariable NameCommentoutputboolN/Atrue if allowed

### height <a href="#height" id="height"></a>

Tokens counterInput/OutputData TypeVariable NameCommentoutputuint256N/Atokens created

### powerOf <a href="#powerof" id="powerof"></a>

Returns current power of tokenInput/OutputData TypeVariable NameCommentinputuint256id​outputuint256N/Apower of token

### initialPowerOf <a href="#initialpowerof" id="initialpowerof"></a>

Returns initial power of tokenInput/OutputData TypeVariable NameCommentinputuint256id​outputuint256N/Ainitial power of

### factory <a href="#factory" id="factory"></a>

Returns market factory contract addressInput/OutputData TypeVariable NameCommentoutputaddressN/Aaddress of factory

### setFactory <a href="#setfactory" id="setfactory"></a>

Changes factory contractInput/OutputData TypeVariable NameCommentinputundefinedaddrNew contract

### setTransferAllowance <a href="#settransferallowance" id="settransferallowance"></a>

Changes transferability featureInput/OutputData TypeVariable NameCommentinputboolstatusStatus

### mintWithPower <a href="#mintwithpower" id="mintwithpower"></a>

Mints token with defined powerInput/OutputData TypeVariable NameCommentinputaddresstoRecipientinputuint256powerPower

### increasePower <a href="#increasepower" id="increasepower"></a>

Increase token powerInput/OutputData TypeVariable NameCommentinputuint256idToken Idinputuint256powerDeltaPower delta

### decreasePower <a href="#decreasepower" id="decreasepower"></a>

Decrease token power (f.e. penalty)Input/OutputData TypeVariable NameCommentinputuint256idToken Idinputuint256powerDeltaPower delta


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.foreprotocol.io/fore-protocol/documentation/developers/smart-contracts/foreanalysts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
